#!/bin/bash
LANG=te
IFS=$'\n'
OUTPUT=`cat debian/tests/te.tex | aspell pipe -t -d te | tr '*' '+'`
let i=0
for line in $OUTPUT
do
  let i++
  echo "$i: $line"
  if [ "$i" = 1 ]; then
    [[ $line =~ ^\@\(#\) ]] || exit 1
  elif [ "$i" = 7 ]; then
    [[ $line =~ [#\&\?]\ .* ]] || exit 1
  else
    [[ $line =~ ^\+$ ]] || exit 1
  fi
done
exit 0
  
